function Form_CK_Dataset_form_CK_database(Opts)

folderName = Opts.folderName;
Mtrain = Opts.Mtrain;
continuous = Opts.continuous;
im_resize_val = Opts.im_size/64;;
checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

load count3.mat
M_sum = count_imgs;
savepwd = pwd;

RootDataBasePath = 'C:\Personal\Work Research\cohn-kanadeDatabase3\';
fname = dir(strcat(RootDataBasePath,'*.png'));

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = RootDataBasePath;
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');
    
try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

NumClasses = 97;
trainImageAll = [];
testImageAll = [];

if 1
cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

if 1
for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,'class_',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.png'));
    M_Total = 20;
    if (M_sum(i) < 20)
        M_Total = M_sum(i);
    end
    Mtest = M_Total-Mtrain
    randN = randperm(M_sum(i));
    trainImage(1:Mtrain) = randN(1:Mtrain);
    testImage(1:Mtest) = randN(Mtrain+1:M_Total); 
    i
    for j=1:Mtrain
        j
        actualimgName = Image(trainImage(j)).name;
        faceDatabaseimgName = strcat(actualimgName(1:end-3),'jpg');        
        SourceImagePath = strcat(Class_Database_Path,actualimgName);
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',faceDatabaseimgName);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,im_resize_val);
        imwrite(x2,DestinationImagePath, 'jpeg');
    end
    
    for j=1:Mtest
        actualimgName = Image(testImage(j)).name;
        faceDatabaseimgName = strcat(actualimgName(1:end-3),'jpg');        
        SourceImagePath = strcat(Class_Database_Path,actualimgName);
        DestinationImagePath = strcat(RootTestImagePath,faceDatabaseimgName);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,im_resize_val);
        imwrite(x2,DestinationImagePath);
    end
    
    trainImageAll = [trainImageAll trainImage];
    testImageAll = [testImageAll testImage];
end

cd(strcat(RootTrainingPath,'Face_Database'));
save ImageSetSelect trainImageAll testImageAll Mtrain;
end
end 
cd(savepwd);
