function [mse psnr] = JSM_PSNR(acutal,reconstructed,case_type)
%Reconstructed Image PSNR

sig_a =acutal;
sig_r =reconstructed;

diff=abs(sig_a-sig_r);
[r c]=size(diff);

if (case_type == 1)
    mse= (sum((diff.*diff)))/(r*c);
    sig_power = sum(actual.*actual);
    psnr=10*log10(sig_power/mse);
    
elseif (case_type == 2)
    mse= (sum(sum((diff.*diff))))/(r*c);
    psnr=10*log10(255^2/mse);
end